« Perform Script on Ser… | Home | Selling Xojo apps on … »

Software Breaking points


Recently a client complained that an old plugin wouldn't work with last version. We try to make our plugins as much as possible forward and backward compatible. You can use our latest plugins with FileMaker 7 or newer and Xojo 2006r4 and newer. But you probably use a newer version from this or last year, right?

While we do have clients successfully use 10 year old MBS Plugins with old license keys, that is usually an exception. In the last years we had a few breaking points:

For example applications had to move to 64-bit. FileMaker 14 and Xojo 2017r3 needed 64-bit code for plugins and everyone had to update their plugins. Currently MacOS with 32-bit is dead, most Linux distributions are now 64-bit only for servers and Microsoft fades out 32-bit versions of Windows.

We had a breaking point with Xojo 2016r2, which added new keywords to the language. As we used those keywords in the function and parameter names, the plugin had to be adjusted. Same for changes for API 2.0, GTK 3 or updated plugin SDKs, which forced users to upgrade. And when Xojo moves to WebKit 2, our HTMLViewer extensions may need newer plugins, too. See version table.

For FileMaker we had a breaking point with version 16 on macOS where Claris redid the web viewer control to use WebKit 2. For Windows this point will come later in 2021 (?) with the move to Chromium based Edge browser for the web viewer. All our WebView functions will need a rewrite then.

If you use anything related to the Internet, there were breaking points, too. All websites and services like SMTP for sending emails now need TLS v1.2. So all the older code, which did only SSL v3 or TLS 1.0/1.1 broke at some point. But we had TLS v1.2 support in for a lot of years, so that should not have hurt you. But you probably use TLS v1.2 exclusively now as anything older is not acceptable under GDPR.

The next breaking point is coming soon: For Macs the CPU will change to Apple Silicon, an ARM64 based architecture. That means once again all developers and users will have to upgrade to current versions of the software to benefit from the new computers they buy.

The conclusion?
Only if you stay current and keep licenses up to date, you can enjoy the latest versions of the software with the latest features on a moving target. And all the software you use need active development with someone taking care. Which usually requires you to keep funding them with regularly paying for updates or getting a subscription. Our plugins are not different in this regard.

If your license lapsed and you are not eligible for update pricing, maybe you want to get the license in November with Black Friday promotion.

PS: In Germany we have a temporary VAT rate change this year and some people had to come back to us to help change the software for this.
19 08 20 - 13:30